Package org.eclipse.m2m.atl.emftvm.constraints

# Class ValidCodeBlockStackLevelConstraint

java.lang.Object
org.eclipse.emf.validation.AbstractModelConstraint
org.eclipse.m2m.atl.emftvm.constraints.ValidCodeBlockStackLevelConstraint

public class ValidCodeBlockStackLevelConstraint extends org.eclipse.emf.validation.AbstractModelConstraint
Validates the final stack level of code blocks, which should be 0 or 1.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final Validator<CodeBlock>`
`validator`

## Constructor Summary

Constructors
Constructor
Description
`ValidCodeBlockStackLevelConstraint()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.core.runtime.IStatus`
`validate(org.eclipse.emf.validation.IValidationContext ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### validator

protected final Validator<CodeBlock> validator

## Constructor Details

### ValidCodeBlockStackLevelConstraint

public ValidCodeBlockStackLevelConstraint()

## Method Details

### validate

public org.eclipse.core.runtime.IStatus validate(org.eclipse.emf.validation.IValidationContext ctx)

Specified by:
  `validate` in class `org.eclipse.emf.validation.AbstractModelConstraint`